using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Sdk.Models.Types 
{
    public class CountDateNameType 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table
        /// </summary>
        public int? countDateNameTypeId { get; set; }

        /// <summary>
        /// The code value of a count date
        /// </summary>
        public string codeValue { get; set; }

        /// <summary>
        /// The description of a count date
        /// </summary>
        public string description { get; set; }

        /// <summary>
        /// The short description of a count date
        /// </summary>
        public string shortDescription { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

