using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Sdk.Models.WiDpi_Profile_Public 
{
    public class StudentSchoolAssociationWisconsinExt_Writable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related EducationOrganization resource.
        /// </summary>
        public EducationOrganizationReference expectedTransferEducationOrganizationReference { get; set; }

        /// <summary>
        /// A reference to the related School resource.
        /// </summary>
        public SchoolReference expectedTransferSchoolReference { get; set; }

        /// <summary>
        /// School enrolling the Student.
        /// </summary>
        public int? schoolId { get; set; }

        /// <summary>
        /// A unique alpha-numeric code assigned to a student.
        /// </summary>
        public string studentUniqueId { get; set; }

        /// <summary>
        /// The entry date associated with the student's enrollment.
        /// </summary>
        public DateTime? entryDate { get; set; }

        /// <summary>
        /// Indicates whether or not a student completed the school term during the school enrollment period.  It is collected for every student enrollment record and is not related to graduation.  A student could have more than one enrollment record for a school year.
        /// </summary>
        public bool? completedSchoolTerm { get; set; }

        /// <summary>
        /// Aggregate value that captures the actual days in attendance for a student.
        /// </summary>
        public double? actualDaysAttendance { get; set; }

        /// <summary>
        /// Aggregate value that capture the possible days in attendance for a student
        /// </summary>
        public double? possibleDaysAttendance { get; set; }

        /// <summary>
        /// An unordered collection of studentSchoolAssociationWisconsinExtReceivingServices.  The status of a student during a specific count date
        /// </summary>
        public List<StudentSchoolAssociationWisconsinExtReceivingService_Writable> receivingServices { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

