using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace EdFi.Ods.Sdk.Models.WiDpi_Profile_Public_Only_SPED 
{
    public class Program_Readable 
    {
        /// <summary>
        /// The unique identifier of the resource.
        /// </summary>
        public string id { get; set; }

        /// <summary>
        /// A reference to the related EducationOrganization resource.
        /// </summary>
        public EducationOrganizationReference educationOrganizationReference { get; set; }

        /// <summary>
        /// Key for Program
        /// </summary>
        public string type { get; set; }

        /// <summary>
        /// The formal name of the program of instruction, training, services or benefits available through federal, state, or local agencies.
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// A unique number or alphanumeric code assigned to a program by a school, school system, a state, or other agency or entity.
        /// </summary>
        public string programId { get; set; }

        /// <summary>
        /// Key for ProgramSponsor
        /// </summary>
        public string sponsorType { get; set; }

        /// <summary>
        /// An unordered collection of programCharacteristics.  Reflects important characteristics of the Program, such as categories or particular indications.
        /// </summary>
        public List<ProgramCharacteristic_Readable> characteristics { get; set; }

        /// <summary>
        /// An unordered collection of programLearningObjectives.  Learning Standard followed by this program.
        /// </summary>
        public List<ProgramLearningObjective_Readable> learningObjectives { get; set; }

        /// <summary>
        /// An unordered collection of programLearningStandards.  References the Learning Objective(s) the Program is associated with.
        /// </summary>
        public List<ProgramLearningStandard_Readable> learningStandards { get; set; }

        /// <summary>
        /// An unordered collection of programServices.  Defines the services this program provides to students.
        /// </summary>
        public List<ProgramService_Readable> services { get; set; }

        /// <summary>
        /// A unique system-generated value that identifies the version of the resource.
        /// </summary>
        public string _etag { get; set; }

        }
}

